#!/bin/bash

cnf=$1

./tc_glucose/bin/tc_glucose $cnf -certified -verb=0 -certified-output=tP &
./Beans/bin/bean -verb=0 -certified -certified-output=BP $cnf &


while [ 1 ]
do
	sleep 30
	r1=$(ps -ef | grep "tc_glucose" | grep -v "grep" | wc -l)
	r2=$(ps -ef | grep "bean" | grep -v "grep" | wc -l)

	if [ $r1 == 0 ] 
	then 
		kill `ps -ef | grep "bean" | grep -v grep | awk '{print $2}'`
		mv tP tmp0
		rm BP
		break
	fi

	if [ $r2 == 0 ] 
	then 
		kill `ps -ef | grep "tc_glucose" | grep -v grep | awk '{print $2}'`
		mv BP tmp0
		rm tP
		break
	fi

done

c=0
repNum=20
out="proof.out"

rep=0
toggle=1
while [ 1 ]
do
	t=$(( $toggle ^ 1 ))

	./drat-trim/bin/drat-trim $cnf tmp$t -l tmp$toggle

	n0=$(grep -v '^d' tmp0 | wc -c)
	n1=$(grep -v '^d' tmp1 | wc -c)

	if [ $n0 -eq $n1 ] 
	then 
		break
	fi

	if [ $rep -gt $repNum ]
	then
		break
	fi

	toggle=$t
	rep=`expr $rep + 1`

done

mv tmp$toggle $out
t=$(( $toggle ^ 1 ))
rm tmp$t

